com.io7m.r2.core.shaders.types

## Interface R2ShaderType<M>

- Type Parameters:
    `M` - The type of parameter data
  All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShaderUsableType<M>
  All Known Subinterfaces:
    R2ShaderDepthBatchedType<M>, R2ShaderDepthSingleType<M>, R2ShaderFilterType<M>, R2ShaderInstanceBatchedType<M>, R2ShaderInstanceBillboardedType<M>, R2ShaderInstanceSingleScreenType<M>, R2ShaderInstanceSingleType<M>, R2ShaderLightProjectiveType<M>, R2ShaderLightProjectiveWithShadowType<M>, R2ShaderLightScreenSingleType<M>, R2ShaderLightSingleType<M>, R2ShaderLightVolumeSingleType<M>, R2ShaderScreenType<M>, R2ShaderTranslucentInstanceBatchedType<M>, R2ShaderTranslucentInstanceBillboardedType<M>, R2ShaderTranslucentInstanceSingleType<M>, R2ShaderTranslucentType<M>
  All Known Implementing Classes:
    R2AbstractShader, R2DebugShaderLightDirectionalConstantSingle, R2DebugShaderLightSphericalAttenuationSingle, R2DebugShaderLightSphericalConstantSingle, R2DepthShaderBasicBatched, R2DepthShaderBasicSingle, R2DepthShaderBasicStippledSingle, R2LightShaderAmbientSingle, R2LightShaderDirectionalSpecularSingle, R2LightShaderProjectiveLambertBlinnPhongShadowVarianceSingle, R2LightShaderProjectiveLambertBlinnPhongSingle, R2LightShaderProjectiveLambertShadowVarianceSingle, R2LightShaderProjectiveLambertSingle, R2LightShaderSphericalLambertBlinnPhongSingle, R2LightShaderSphericalLambertPhongSingle, R2LightShaderSphericalLambertSingle, R2MaskShaderBatched, R2MaskShaderSingle, R2RefractionMaskedDeltaShaderBatched, R2RefractionMaskedDeltaShaderBillboarded, R2RefractionMaskedDeltaShaderSingle, R2ShaderDebugColorVerticesWorldPosition, R2ShaderDebugVisualBatched, R2ShaderDebugVisualBillboarded, R2ShaderDebugVisualScreen, R2ShaderDebugVisualSingle, R2ShaderDepthBatchedVerifier, R2ShaderDepthSingleVerifier, R2ShaderFilterBilateralBlurDepthAwareHorizontal4f, R2ShaderFilterBilateralBlurDepthAwareVertical4f, R2ShaderFilterBoxBlurHorizontal4f, R2ShaderFilterBoxBlurVertical4f, R2ShaderFilterDebugEyePosition, R2ShaderFilterDebugEyeZ, R2ShaderFilterEmission, R2ShaderFilterFogDepth, R2ShaderFilterFogDepthLinear, R2ShaderFilterFogDepthQuadratic, R2ShaderFilterFogDepthQuadraticInverse, R2ShaderFilterFXAAA, R2ShaderFilterLightApplicator, R2ShaderFilterOcclusionApplicator, R2ShaderFilterTextureShow, R2ShaderFilterVerifier, R2ShaderInstanceBatchedVerifier, R2ShaderInstanceBillboardedVerifier, R2ShaderInstanceSingleVerifier, R2ShaderLightProjectiveVerifier, R2ShaderLightProjectiveWithShadowVerifier, R2ShaderLightScreenSingleVerifier, R2ShaderLightVolumeSingleVerifier, R2ShaderLogDepthOnlySingle, R2ShaderSSAO, R2ShaderTranslucentInstanceBatchedVerifier, R2ShaderTranslucentInstanceBillboardedVerifier, R2ShaderTranslucentInstanceSingleVerifier, R2StencilShaderScreen, R2StencilShaderSingle, R2SurfaceShaderBasicBatched, R2SurfaceShaderBasicBillboarded, R2SurfaceShaderBasicReflectiveSingle, R2SurfaceShaderBasicSingle, R2SurfaceShaderBasicStippledSingle, R2TranslucentShaderBasicPremultipliedBatched, R2TranslucentShaderBasicPremultipliedBillboarded, R2TranslucentShaderBasicPremultipliedSingle

      public interface R2ShaderType<M>
      extends R2DeletableType, R2ShaderUsableType<M>

  The type of shaders.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, onValidate, shaderID, shaderParametersType, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

Copyright © 2016 <code@io7m.com> http://io7m.com